net.sf.okapi.lib.xliff2.its

## Class Domain

- java.lang.Object
- - net.sf.okapi.lib.xliff2.its.DataCategory
  - - net.sf.okapi.lib.xliff2.its.Domain

- All Implemented Interfaces:
    IITSItem

      public class Domain
      extends DataCategory

  Implements the Domain data category.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Domain()` Creates a new `Domain` object without initial data.
    `Domain(java.lang.String domain)` Creates a new `Domain` object with a value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IITSItem` | `createCopy()` Creates a deep-copy clone of this item.
    `java.lang.String` | `getDataCategoryName()` Gets the id/name of this data category.
    `java.lang.String` | `getDomain()`
    `void` | `setDomain(java.lang.String domain)`
    `void` | `validate()` Validates the data category.

    - ### Methods inherited from class net.sf.okapi.lib.xliff2.its.DataCategory

      `getAnnotatorRef, hasUnresolvedGroup, isGroup, setAnnotatorRef, setAnnotatorRef`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Domain

          public Domain()

      Creates a new `Domain` object without initial data.

    - #### Domain

          public Domain(java.lang.String domain)

      Creates a new `Domain` object with a value.
      Parameters:
        `domain` - the value to set.

  - ### Method Detail

    - #### getDataCategoryName

          public java.lang.String getDataCategoryName()

      Description copied from interface: `IITSItem`
      Gets the id/name of this data category.
      Returns:
        the id/name of this data category.

    - #### validate

          public void validate()

      Description copied from interface: `IITSItem`
      Validates the data category. Checks if all required attributes are set properly.

    - #### createCopy

          public IITSItem createCopy()

      Description copied from interface: `IITSItem`
      Creates a deep-copy clone of this item.
      Returns:
        the duplicated item.

    - #### getDomain

          public java.lang.String getDomain()

    - #### setDomain

          public void setDomain(java.lang.String domain)